### Hierarchy

- unknown
  - GetXmrPrimaryAddressReply

## Index

### Constructors

- constructor

### Methods

- getPrimaryAddress
- serializeBinary
- setPrimaryAddress
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetXmrPrimaryAddressReply(): GetXmrPrimaryAddressReply

- Inherited from jspb.Message.constructor

  #### Returns GetXmrPrimaryAddressReply

## Methods

### getPrimaryAddress

- getPrimaryAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3012

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3015

  #### Returns Uint8Array

### setPrimaryAddress

- setPrimaryAddress(value: string): GetXmrPrimaryAddressReply

- - Defined in src/protobuf/grpc_pb.d.ts:3013

  #### Parameters

  - ##### value: string

  #### Returns GetXmrPrimaryAddressReply

### toObject

- toObject(includeInstance?: boolean): GetXmrPrimaryAddressReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3016

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetXmrPrimaryAddressReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrPrimaryAddressReply

- - Defined in src/protobuf/grpc_pb.d.ts:3019

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrPrimaryAddressReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrPrimaryAddressReply, reader: BinaryReader): GetXmrPrimaryAddressReply

- - Defined in src/protobuf/grpc_pb.d.ts:3020

  #### Parameters

  - ##### message: GetXmrPrimaryAddressReply

  - ##### reader: BinaryReader

  #### Returns GetXmrPrimaryAddressReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrPrimaryAddressReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3018

  #### Parameters

  - ##### message: GetXmrPrimaryAddressReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetXmrPrimaryAddressReply ): GetXmrPrimaryAddressReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3017

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrPrimaryAddressReply

  #### Returns GetXmrPrimaryAddressReply . AsObject

Generated using TypeDoc